CellProfiler Pipeline: http://www.cellprofiler.org
Version:1
SVNRevision:11710

LoadImages:[module_num:1|svn_version:\'11587\'|variable_revision_number:11|show_window:False|notes:\x5B"Load all w1 and w2 images, and extract metadata from the filename and path. Since illumination correction is performed on a per-plate basis, we need to tell CP to group the images by plate ID, i.e., the 5-digit Plate metadata extracted from the path.  These settings shouldn\'t need to be altered.", \'\', \'Note that if all the plates you want analyzed are under the same MetaXpress experiment name, you can point the Default Input folder at the top-most folder containing the plates (usually the one named by the experiment) and LoadImages will load all images contained in all sub-folders.\'\x5D]
    File type to be loaded:individual images
    File selection method:Text-Regular expressions
    Number of images in each group?:3
    Type the text that the excluded images have in common:Do not use
    Analyze all subfolders within the selected folder?:All
    Input image file location:Default Input Folder\x7CNone
    Check image sets for missing or duplicate files?:No
    Group images by metadata?:No
    Exclude certain files?:No
    Specify metadata fields to group by:Plate
    Select subfolders to analyze:05-11-12tnd04xtake2,tn8-3-12d0,tn8-3-12d3,04-27-12j774-3maplate1,04-27-12j774-3maplate2,04-27-12j774-3maplate3,tnscreentest3-5-12-4xa-r,05-31-12rfpwitharstain4x,bmm5-18-123maplate2,bmm5-18-123maplate1,07-10-12drugtiming,11-09-12mlpcn1,08-03-12tnd0,06-16-12gpcrplate4,08-03-12tnd3,11-27-12tnplate1,11-27-12tnplate2,j774-4-3-12plate2,06-0712bmm3ma,07-20-12gpcr,tnscreentest3-5-12,4-20-12cmpdplate1,2013-01-03\\37033,2013-01-04\\37033,j774-4-6-12ifn,05-31-12rfpnoa-r20x,05-29-12bmm3marep2plate2,bmmlenti1-23-12,09-28-2012tnplate2,4-24-12tnd0nowash,09-28-2012tnplate1,07-06-12daplate2,tn10-26-12plate6rep1,10-05-2012salmtest,9-4-12campanaloguesplate3,9-4-12campanaloguesplate2,9-4-12campanaloguesplate1,05-11-12j7dacomp3plate2,05-11-12j7dacomp3plate1,tn7-30-12d3,tn7-30-12d0,j774 12-5-11plate1,j774 12-5-11plate2,6-12-12campexpt1plate2,tnscreentest3-5-12-4xantigroelalexa555,05-31-12rfpnoa-r,08-03-12gpcr,060112dacurve,05-11-12tnd04x,11-21-12tnwashingtestmach-hand,6-12-12campexpt1,4-24-12tnd3-1to1-20x,3-30-12tnmutd34x,4-24-12tnd0-10to1,05-11-12tnd020xtake2,05-11-12tnd34xtake2,06-08-12gpcrscreenset3,06-22-12gpcrplate5,tnscreentest3-5-1210xgfp,05-01-123maj774plate3,05-01-123maj774plate2,05-01-123maj774plate1,05-11-12tnd34x,07-06-12daplate1,10-16-2012salminhib4h,05-29-12bmm3marep2,08-17-12gpcr,tn08-20-12inhrifplate2,tn08-20-12inhrifplate1,05-22-12gpcrscreenplate2,05-21-12tnd3,4-16-12withifn,08-06-2012tnexptplate1,08-06-2012tnexptplate2,j7742-17-12plate1,j7742-17-12plate2,05-01-123maj774platex,3-30-12tnmutd04x,gpcrscreen9-14-12,3-30-12compound1,3-30-12compound2,05-23-12tnd0-20x,05-11-12j774dacompet3plate1,05-31-12rfpwitharstain20x,05-11-12tnplated3-20x,11-21-12tnwashingtestmach-mach,tnscreentest3-5-12-d3gfp,09-28-2012gpcr,bmmlenti1-23-12-10x,06-25-12tnd0,3-30-12tnmutd020x,05-23-12tnd3-20x,4-20-12cmpdplate2,05-23-12tnd0-4x,4-16-12noifn,07-27-12gpcr,05-08-12gpcrplate1,06-0712bmm3maplate2,10-16-12salminhib24h,3-30-12tnplated3-20x,04-24-12j774plate2,04-24-12j774plate1,artesting3-19-12,05-11-12tnd320x,j774-4-6-12noifn,10-16-2012salminhib2h,gpcr11-27-12,07-13-12gpcrscreen6-2,05-04-12bmm-ifn-plate2,05-04-12bmm-ifn-plate1,tnscreentest3-5-12-d3a-r4x,tnscreentest3-5-12-20xa-r,10-05-2012salmtestplate2,bmmlenti1-23-12-40x
    Image count:2
    Text that these images have in common (case-sensitive):_w1\x5B^_\x5D
    Position of this image in each group:1
    Extract metadata from where?:Both
    Regular expression that finds metadata in the file name:^(?P<UserStem>.*)_(?P<Well>\x5Ba-p\x5D\x5B0-9\x5D{2})_s(?P<Site>\x5B0-9\x5D)
    Type the regular expression that finds metadata in the subfolder path:.*\x5B\\\\/\x5D(?P<Date>.*)\x5B\\\\/\x5D(?P<Plate>.*)$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:3
    Load the input as images or objects?:Images
    Name this loaded image:OrigBlue
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:LoadedImageOutlines
    Channel number:1
    Rescale intensities?:Yes
    Text that these images have in common (case-sensitive):_w2\x5B^_\x5D
    Position of this image in each group:2
    Extract metadata from where?:Both
    Regular expression that finds metadata in the file name:^(?P<UserStem>.*)_(?P<Well>\x5Ba-p\x5D\x5B0-9\x5D{2})_s(?P<Site>\x5B0-9\x5D)
    Type the regular expression that finds metadata in the subfolder path:.*\x5B\\\\/\x5D(?P<Date>.*)\x5B\\\\/\x5D(?P<Plate>.*)$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:3
    Load the input as images or objects?:Images
    Name this loaded image:OrigGreen
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:LoadedImageOutlines
    Channel number:1
    Rescale intensities?:Yes

LoadSingleImage:[module_num:2|svn_version:\'10884\'|variable_revision_number:5|show_window:False|notes:\x5B\'Load the illumination correction functions. Note that the current settings assume that these are located in the Default Output folder.\'\x5D]
    Input image file location:Default Output Folder sub-folder\x7C..\\\\Illum
    Filename of the image to load (Include the extension, e.g., .tif):\\g<Plate>_IllumBlue.mat
    Load as images or objects?:Images
    Name the image that will be loaded:IllumBlue
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outlines:NucleiOutlines
    Rescale intensities?:Yes
    Filename of the image to load (Include the extension, e.g., .tif):\\g<Plate>_IllumGreen.mat
    Load as images or objects?:Images
    Name the image that will be loaded:IllumGreen
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outlines:NucleiOutlines
    Rescale intensities?:Yes

MeasureImageQuality:[module_num:3|svn_version:\'11705\'|variable_revision_number:4|show_window:False|notes:\x5B\'Measure the same QC metrics from the QC pipeline for the DAPI channel.\'\x5D]
    Calculate metrics for which images?:Select...
    Image count:1
    Scale count:1
    Threshold count:2
    Select the images to measure:OrigBlue
    Include the image rescaling value?:No
    Calculate blur metrics?:Yes
    Spatial scale for blur measurements:20
    Calculate saturation metrics?:Yes
    Calculate intensity metrics?:Yes
    Calculate thresholds?:Yes
    Use all thresholding methods?:No
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Background

MeasureImageQuality:[module_num:4|svn_version:\'11705\'|variable_revision_number:4|show_window:False|notes:\x5B\'Measure the same QC metrics from the QC pipeline for the GFP channel.\'\x5D]
    Calculate metrics for which images?:Select...
    Image count:1
    Scale count:1
    Threshold count:2
    Select the images to measure:OrigGreen
    Include the image rescaling value?:No
    Calculate blur metrics?:Yes
    Spatial scale for blur measurements:20
    Calculate saturation metrics?:Yes
    Calculate intensity metrics?:Yes
    Calculate thresholds?:Yes
    Use all thresholding methods?:No
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground

CalculateMath:[module_num:5|svn_version:\'10905\'|variable_revision_number:1|show_window:False|notes:\x5B\'An attempt to set a debris threshold by taking the difference between Otsu 2-class and 3-class w/background and adding it to the 3-class threshold. This will be used later.\'\x5D]
    Name the output measurement:DebrisBlueThreshold
    Operation:Add
    Select the first operand measurement type:Image
    Select the first operand objects:None
    Select the first operand measurement:ImageQuality_ThresholdOtsu_OrigBlue_3BW
    Multiply the above operand by:1
    Raise the power of above operand by:1
    Select the second operand measurement type:Image
    Select the second operand objects:None
    Select the second operand measurement:ImageQuality_ThresholdOtsu_OrigBlue_2W
    Multiply the above operand by:1
    Raise the power of above operand by:1
    Take log10 of result?:No
    Multiply the result by:1
    Raise the power of result by:1

FlagImage:[module_num:6|svn_version:\'10300\'|variable_revision_number:2|show_window:False|notes:\x5B\'These QC settings seem to be usable/consistent for the 09-28-2012tn plates (35825 and 35827).\', "Using the std of the intensity along with the percent maximal metrics seems to catch everything in the DAPI channel. I\'m using only the percent maximal for the GFP, because moderate stds can be associated with either debris or bacteria present, and I definitely don\'t want to accidently mask out the wrong thing."\x5D]
    Hidden:2
    Hidden:2
    Name the flag\'s category:Metadata
    Name the flag:OrigBlue_isSaturated
    Flag if any, or all, measurement(s) fails to meet the criteria?:Flag if any fail
    Skip image set if flagged?:No
    Flag is based on:Whole-image measurement
    Select the object whose measurements will be used to flag:None
    Which measurement?:ImageQuality_PercentMaximal_OrigBlue
    Flag images based on low values?:No
    Minimum value:0
    Flag images based on high values?:Yes
    Maximum value:0.00003
    Flag is based on:Whole-image measurement
    Select the object whose measurements will be used to flag:None
    Which measurement?:ImageQuality_StdIntensity_OrigBlue
    Flag images based on low values?:No
    Minimum value:0
    Flag images based on high values?:Yes
    Maximum value:0.045
    Hidden:1
    Name the flag\'s category:Metadata
    Name the flag:OrigGreen_isSaturated
    Flag if any, or all, measurement(s) fails to meet the criteria?:Flag if any fail
    Skip image set if flagged?:No
    Flag is based on:Whole-image measurement
    Select the object whose measurements will be used to flag:None
    Which measurement?:ImageQuality_PercentMaximal_OrigGreen
    Flag images based on low values?:No
    Minimum value:0
    Flag images based on high values?:Yes
    Maximum value:0.00003

CorrectIlluminationApply:[module_num:7|svn_version:\'10300\'|variable_revision_number:3|show_window:False|notes:\x5B\'Correct each channel by dividing by the corresponding illumination correction function.\'\x5D]
    Select the input image:OrigBlue
    Name the output image:CorrBlue
    Select the illumination function:IllumBlue
    Select how the illumination function is applied:Divide
    Select the input image:OrigGreen
    Name the output image:CorrGreen
    Select the illumination function:IllumGreen
    Select how the illumination function is applied:Divide

IdentifyPrimaryObjects:[module_num:8|svn_version:\'10826\'|variable_revision_number:8|show_window:False|notes:\x5B\'Here, we want to find a threshold that is low enough to capture dim debris but high enough to *not* capture any nuclei if debris is absent. Using the difference between Otsu 2-class and 3-class w/background and adding it to the 3-class threshold seems to work well so far.\', "I still have to test whether segmenting helps or hurts debris detection. By segmenting, I\'m better able to use size thredholding. But optimally, I\'d prefer such objects to not even be detected than detected then fitered.", \'\', \'At this point, I have been unsuccessful with doing the same for GFP debris. Fortunately, the large GFP debris is also colocalized in DAPI, so this one step should get rid of artifacts in both. Note that there are no debris, then nothing should be identified, and the object count should be zero.\'\x5D]
    Select the input image:CorrBlue
    Name the primary objects to be identified:DebrisBlue
    Typical diameter of objects, in pixel units (Min,Max):30,1000
    Discard objects outside the diameter range?:Yes
    Try to merge too small objects with nearby larger objects?:No
    Discard objects touching the border of the image?:No
    Select the thresholding method:Measurement
    Threshold correction factor:1
    Lower and upper bounds on threshold:0.000000,1.000000
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:None
    Method to draw dividing lines between clumped objects:Intensity
    Size of smoothing filter:10
    Suppress local maxima that are closer than this minimum allowed distance:7
    Speed up by using lower-resolution image to find local maxima?:Yes
    Name the outline image:PrimaryOutlines
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:Yes
    Automatically calculate minimum allowed distance between local maxima?:Yes
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified objects?:No
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:0.5
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:Math_DebrisBlueThreshold

ExpandOrShrinkObjects:[module_num:9|svn_version:\'10830\'|variable_revision_number:1|show_window:False|notes:\x5B\'For bright objects, simply masking masking by the object alone may leave a bright "halo" that will be incorrectly detected as a primary object. Here we expand the object by a few pixels to capture the halo as well. The choice of pixel distance was determined semi-empirically, and can be adjusted if needed.\'\x5D]
    Select the input objects:DebrisBlue
    Name the output objects:ExpandedDebrisBlue
    Select the operation:Expand objects by a specified number of pixels
    Number of pixels by which to expand or shrink:25
    Fill holes in objects so that all objects shrink to a single point?:No
    Retain the outlines of the identified objects for use later in the pipeline (for example, in SaveImages)?:No
    Name the outline image:ShrunkenNucleiOutlines

MaskImage:[module_num:10|svn_version:\'10428\'|variable_revision_number:3|show_window:False|notes:\x5B\'Mask the DAPI image using the DAPI debris mask.\'\x5D]
    Select the input image:CorrBlue
    Name the output image:MaskedBlue
    Use objects or an image as a mask?:Objects
    Select object for mask:ExpandedDebrisBlue
    Select image for mask:None
    Invert the mask?:Yes

MaskImage:[module_num:11|svn_version:\'10428\'|variable_revision_number:3|show_window:False|notes:\x5B\'Mask the GFP image using the DAPI debris mask.\'\x5D]
    Select the input image:CorrGreen
    Name the output image:MaskedGreen
    Use objects or an image as a mask?:Objects
    Select object for mask:ExpandedDebrisBlue
    Select image for mask:None
    Invert the mask?:Yes

EnhanceOrSuppressFeatures:[module_num:12|svn_version:\'10591\'|variable_revision_number:2|show_window:False|notes:\x5B"Perform top-hat filtering on the masked DAPI image. This was added to take care of images where the artifact was dim and diffuse, and masking alone didn\'t have much effect. The feature size should be set at least the size of the nuclei and probably much larger. I set to to 2x the median nuclei diameter."\x5D]
    Select the input image:MaskedBlue
    Name the output image:FilteredBlue
    Select the operation:Enhance
    Feature size:40
    Feature type:Speckles
    Range of hole sizes:1,10

EnhanceOrSuppressFeatures:[module_num:13|svn_version:\'10591\'|variable_revision_number:2|show_window:False|notes:\x5B\'Top-hat filter the GFP image. The object here is not so much to dimnish dim debris, but to remove the local non-specific staining that can throw off GFP intensity measurements. The filter size here should be set to no smaller than the feature (i.e., the bacteria) to be retained. The average nuclei diameter is ~20 pixels, for reference.\'\x5D]
    Select the input image:MaskedGreen
    Name the output image:FilteredGreen
    Select the operation:Enhance
    Feature size:20
    Feature type:Speckles
    Range of hole sizes:1,10

IdentifyPrimaryObjects:[module_num:14|svn_version:\'10826\'|variable_revision_number:8|show_window:False|notes:\x5B"Identify the nuclei. The contrast seems to be good, so the settings probably don\'t need changing.", \'\', "Later, I found that detecting nuclei from the filtered image seems to lead to bad nuclei segmentation in some cases if the thresholding is left at Otsu 2-class. I\'ve changed it to Otsu 3-class since that seems to give equivalent results to Otsu 2-class on MaskedBlue."\x5D]
    Select the input image:FilteredBlue
    Name the primary objects to be identified:Nuclei
    Typical diameter of objects, in pixel units (Min,Max):15,50
    Discard objects outside the diameter range?:Yes
    Try to merge too small objects with nearby larger objects?:No
    Discard objects touching the border of the image?:Yes
    Select the thresholding method:Otsu Global
    Threshold correction factor:1
    Lower and upper bounds on threshold:0.05,1.0
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:Intensity
    Method to draw dividing lines between clumped objects:Intensity
    Size of smoothing filter:10
    Suppress local maxima that are closer than this minimum allowed distance:7
    Speed up by using lower-resolution image to find local maxima?:Yes
    Name the outline image:NucleiOutlines
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:Yes
    Automatically calculate minimum allowed distance between local maxima?:Yes
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified objects?:Yes
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:0.5
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Background
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:None

IdentifyPrimaryObjects:[module_num:15|svn_version:\'10826\'|variable_revision_number:8|show_window:False|notes:\x5B\'Find the bacteria in the top-hat filtered GFP image. I set the upper size limit v. high since I am agnostic about how big the largest bacterial clump is.\', \'\', "I toyed with using Otsu 2-class to detect more, but it clearly captures too much foreground in many cases. So I\'m sticking with Otsu 3-class with the middle class as background.", \'\', \'The threshold correction factor seems to work well at 1.2 for Otsu 3-class with MaskedGreen. Setting it to 1.0 identifies too much in images with v. little foreground. 1.2 is a bit too high for some. So I compromised at 1.1.\', \'\', \'After noting some large (yet dim) artifacts in the GFP channel, I changed the image from MaskedGreen to FilteredGreen. However, the threhsold correction factor had to be increased to 4.0.\', \'\', \'Note that the lower limit to the threshold is not set here, since the 3-class background method is fairly robust against outliers due to noise. However, if it needs adjustment (e.g., due to a largely empty image), I suggest using CPA to plot a histogram of Otsu 3-class OrigGreen threshold from the QC pipeline (Image_ImageQuality_ThresholdOtsu_OrigBlue_3BW). The left-hand side of the plot will either taper to 0 or have a small peak representing empty images. Pick a value either just a bit to the right of 0-bin value, or value between the two peaks, if two exist. Note that if OrigGreen or MaskedGreen is not used, this value does NOT apply.\', \'\'\x5D]
    Select the input image:FilteredGreen
    Name the primary objects to be identified:Bacteria
    Typical diameter of objects, in pixel units (Min,Max):3,1000
    Discard objects outside the diameter range?:Yes
    Try to merge too small objects with nearby larger objects?:No
    Discard objects touching the border of the image?:No
    Select the thresholding method:Otsu Global
    Threshold correction factor:4.0
    Lower and upper bounds on threshold:0.0180,1.0
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:None
    Method to draw dividing lines between clumped objects:Intensity
    Size of smoothing filter:2
    Suppress local maxima that are closer than this minimum allowed distance:2
    Speed up by using lower-resolution image to find local maxima?:Yes
    Name the outline image:BacteriaOutlines
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:No
    Automatically calculate minimum allowed distance between local maxima?:No
    Manual threshold:0.0
    Select binary image:Otsu Adaptive
    Retain outlines of the identified objects?:Yes
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:.5
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Background
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:None

IdentifySecondaryObjects:[module_num:16|svn_version:\'10826\'|variable_revision_number:7|show_window:False|notes:\x5B\'Identify the "cells". There is no cell stain, so this is more to get a rough estimate for obtaining the % infected feature.\'\x5D]
    Select the input objects:Nuclei
    Name the objects to be identified:Cells
    Select the method to identify the secondary objects:Distance - N
    Select the input image:CorrBlue
    Select the thresholding method:Otsu Global
    Threshold correction factor:1
    Lower and upper bounds on threshold:0.000000,1.000000
    Approximate fraction of image covered by objects?:0.01
    Number of pixels by which to expand the primary objects:20
    Regularization factor:0.05
    Name the outline image:SecondaryOutlines
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified secondary objects?:No
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Discard secondary objects that touch the edge of the image?:No
    Discard the associated primary objects?:No
    Name the new primary objects:FilteredNuclei
    Retain outlines of the new primary objects?:No
    Name the new primary object outlines:FilteredNucleiOutlines
    Select the measurement to threshold with:None
    Fill holes in identified objects?:Yes

MeasureImageIntensity:[module_num:17|svn_version:\'10816\'|variable_revision_number:2|show_window:False|notes:\x5B\'Measure the image intensity from the corrected GFP channel from bactera objects.\'\x5D]
    Select the image to measure:FilteredGreen
    Measure the intensity only from areas enclosed by objects?:Yes
    Select the input objects:Bacteria

MeasureImageAreaOccupied:[module_num:18|svn_version:\'10563\'|variable_revision_number:3|show_window:False|notes:\x5B\'Calculate the area occupied by just the bacterial pixels.\'\x5D]
    Hidden:1
    Measure the area occupied in a binary image, or in objects?:Objects
    Select objects to measure:Bacteria
    Retain a binary image of the object regions?:No
    Name the output binary image:Stain
    Select a binary image to measure:None

RelateObjects:[module_num:19|svn_version:\'10300\'|variable_revision_number:2|show_window:False|notes:\x5B\'Establish which bacteria belong to which cells.\'\x5D]
    Select the input child objects:Bacteria
    Select the input parent objects:Cells
    Calculate distances?:None
    Calculate per-parent means for all child measurements?:No
    Calculate distances to other parents?:No
    Parent name:None

FilterObjects:[module_num:20|svn_version:\'10300\'|variable_revision_number:5|show_window:False|notes:\x5B\'The "infected" cells are defined as those cells which contain at least one GFP pixel, i.e., > 1 "child" object.\'\x5D]
    Name the output objects:InfectedCells
    Select the object to filter:Cells
    Filter using classifier rules or measurements?:Measurements
    Select the filtering method:Limits
    Select the objects that contain the filtered objects:None
    Retain outlines of the identified objects?:No
    Name the outline image:FilteredObjects
    Rules file location:Default Input Folder\x7CNone
    Rules file name:rules.txt
    Measurement count:1
    Additional object count:0
    Select the measurement to filter by:Children_Bacteria_Count
    Filter using a minimum measurement value?:Yes
    Minimum value:1
    Filter using a maximum measurement value?:No
    Maximum value:1

CalculateMath:[module_num:21|svn_version:\'10905\'|variable_revision_number:1|show_window:False|notes:\x5B\'Percent infected is calculated here as the number of infected cells divided by the number to total cells.\', \'\', \'Note that since the final readout is compute per-well, and this is a per-image measure which cannot be converted to per-well, this is done more for visualization in CPA.\'\x5D]
    Name the output measurement:PercentInfected
    Operation:Divide
    Select the numerator measurement type:Image
    Select the numerator objects:None
    Select the numerator measurement:Count_InfectedCells
    Multiply the above operand by:1
    Raise the power of above operand by:1
    Select the denominator measurement type:Image
    Select the denominator objects:None
    Select the denominator measurement:Count_Cells
    Multiply the above operand by:1
    Raise the power of above operand by:1
    Take log10 of result?:No
    Multiply the result by:100
    Raise the power of result by:1

GrayToColor:[module_num:22|svn_version:\'10341\'|variable_revision_number:2|show_window:False|notes:\x5B\'The last several modules are for output. Create a merged color image from the DAPI and GFP channels.\'\x5D]
    Select a color scheme:RGB
    Select the input image to be colored red:Leave this black
    Select the input image to be colored green:CorrGreen
    Select the input image to be colored blue:CorrBlue
    Name the output image:MergedImage
    Relative weight for the red image:1
    Relative weight for the green image:1
    Relative weight for the blue image:1
    Select the input image to be colored cyan:Leave this black
    Select the input image to be colored magenta:Leave this black
    Select the input image to be colored yellow:Leave this black
    Select the input image that determines brightness:Leave this black
    Relative weight for the cyan image:1
    Relative weight for the magenta image:1
    Relative weight for the yellow image:1
    Relative weight for the brightness image:1
    Select the input image to add to the stacked image:None

OverlayOutlines:[module_num:23|svn_version:\'10672\'|variable_revision_number:2|show_window:False|notes:\x5B\'Overlay the outlines of the nuclei and bacteria on the color image.\'\x5D]
    Display outlines on a blank image?:No
    Select image on which to display outlines:MergedImage
    Name the output image:OrigOverlay
    Select outline display mode:Color
    Select method to determine brightness of outlines:Max of image
    Width of outlines:3
    Select outlines to display:NucleiOutlines
    Select outline color:White
    Select outlines to display:BacteriaOutlines
    Select outline color:Green

SaveImages:[module_num:24|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B"Save the overlay image to the Default Output folder, in a sub-folder called \'Outlines\' with a sub-folder named after the 5-digit plate ID. This is done for manual viewing offline if needed."\x5D]
    Select the type of image to save:Image
    Select the image to save:OrigOverlay
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:None
    Enter single file name:\\g<UserStem>_\\g<Well>_s\\g<Site>_Outlines
    Do you want to add a suffix to the image file name?:No
    Text to append to the image name:
    Select file format to use:png
    Output file location:Default Output Folder sub-folder\x7COutlines/\\g<Plate>
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:No
    Create subfolders in the output folder?:No

SaveImages:[module_num:25|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B"Save the nuclei outline image to the Default Output folder, in a sub-folder called \'Outlines\' with a sub-folder named after the 5-digit plate ID. This is done for use in CPA; the settings should not need changing."\x5D]
    Select the type of image to save:Image
    Select the image to save:NucleiOutlines
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:None
    Enter single file name:\\g<UserStem>_\\g<Well>_s\\g<Site>_NucleiOutlines
    Do you want to add a suffix to the image file name?:No
    Text to append to the image name:
    Select file format to use:png
    Output file location:Default Output Folder sub-folder\x7COutlines/\\g<Plate>
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

SaveImages:[module_num:26|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B"Save the bacteria outline image to the Default Output folder, in a sub-folder called \'Outlines\' with a sub-folder named after the 5-digit plate ID.This is done for use in CPA; the settings should not need changing."\x5D]
    Select the type of image to save:Image
    Select the image to save:BacteriaOutlines
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:None
    Enter single file name:\\g<UserStem>_\\g<Well>_s\\g<Site>_BacteriaOutlines
    Do you want to add a suffix to the image file name?:No
    Text to append to the image name:
    Select file format to use:png
    Output file location:Default Output Folder sub-folder\x7COutlines/\\g<Plate>
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

ExportToDatabase:[module_num:27|svn_version:\'10962\'|variable_revision_number:20|show_window:False|notes:\x5B\'Export the measurements to the database. The majority of these settings should not need to be changed.\', \'\', \'The one execption is the "Table prefix" setting, which needs changing for each batch of plates to be run. Our standard nonmenclature for analysis runs is "<Descriptor_of_experiment>_<Date_in_yyyy_mm_dd_format>_Analysis_"  (note the final underscore). Please use the descriptor and data as for the QC run.\', \'\', \'If you forget to change the table prefix from one that already exists, CP will warn you re\x3A overwriting prior to the run.\'\x5D]
    Database type:MySQL
    Database name:2007_08_09_Tuberculosis_HungLab
    Add a prefix to table names?:Yes
    Table prefix:PlatesLast241618v3_Analysis_
    SQL file prefix:SQL_
    Output file location:Default Output Folder\x7CNone
    Create a CellProfiler Analyst properties file?:Yes
    Database host:imgdb02
    Username:cpuser
    Password:cPus3r
    Name the SQLite database file:DefaultDB.db
    Calculate the per-image mean values of object measurements?:No
    Calculate the per-image median values of object measurements?:No
    Calculate the per-image standard deviation values of object measurements?:No
    Calculate the per-well mean values of object measurements?:No
    Calculate the per-well median values of object measurements?:No
    Calculate the per-well standard deviation values of object measurements?:No
    Export measurements for all objects to the database?:None
    Select the objects:
    Maximum # of characters in a column name:64
    Create one table per object or a single object table?:Single object table
    Enter an image url prepend if you plan to access your files via http:http\x3A//imageweb/images/CPALinks/
    Write image thumbnails directly to the database?:Yes
    Select the images you want to save thumbnails of:BacteriaOutlines,NucleiOutlines,OrigBlue,OrigGreen
    Auto-scale thumbnail pixel intensities?:Yes
    Select the plate type:96
    Select the plate metadata:Plate
    Select the well metadata:Well
    Include information for all images, using default values?:No
    Hidden:4
    Hidden:1
    Hidden:0
    Select an image to include:OrigBlue
    Use the image name for the display?:No
    Image name:DAPI
    Channel color:blue
    Select an image to include:OrigGreen
    Use the image name for the display?:No
    Image name:GFP
    Channel color:green
    Select an image to include:NucleiOutlines
    Use the image name for the display?:No
    Image name:Nuclei
    Channel color:none
    Select an image to include:BacteriaOutlines
    Use the image name for the display?:No
    Image name:Bacteria
    Channel color:none
    Do you want to add group fields?:No
    Enter the name of the group:
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Plate, Image_Metadata_Well
    Do you want to add filter fields?:No
    Automatically create a filter for each plate?:No

CreateBatchFiles:[module_num:28|svn_version:\'10375\'|variable_revision_number:4|show_window:False|notes:\x5B\'This module is needed for submission of jobs to the LSF. If running locally, remove this module.\', \'\', \'Since this module doesn\\\'t actually run the analysis, but only sets things up for LSF submission, after clicking "Analyze images", the run will end quickly with a message box saying "No measurements taken"\'\x5D]
    Store batch files in default output folder?:Yes
    Output folder path:\\\\iodine\\imaging_analysis\\2007_08_09_TB_HungLab_Sarah_Stanley\\2012_11_15_ReadoutOptimization\\Output_Illum
    Are the cluster computers running Windows?:No
    Hidden\x3A in batch mode:No
    Hidden\x3A default input folder at time of save:\\\\iodine\\cbnt_cbimageX\\HCS\\barczakamy\\09-28-2012tnplate2\\2012-10-02\\35827
    Hidden\x3A SVN revision number:0
    Local root path:\\\\iodine\\cbnt_cbimageX
    Cluster root path:/cbnt/cbimageX
    Local root path:\\\\lightning\\idi_hunglabusers
    Cluster root path:/idi/hunglabusers
