CellProfiler Pipeline: http://www.cellprofiler.org
Version:1
SVNRevision:11710

LoadImages:[module_num:1|svn_version:\'11587\'|variable_revision_number:11|show_window:False|notes:\x5B"Load all w1 and w2 images, and extract metadata from the filename and path. Since illumination correction is performed on a per-plate basis, we need to tell CP to group the images by plate ID, i.e., the 5-digit Plate metadata extracted from the path.  These settings shouldn\'t need to be altered.", \'\', \'Note that if all the plates you want analyzed are under the same MetaXpress experiment name, you can point the Default Input folder at the top-most folder containing the plates (usually the one named by the experiment) and LoadImages will load all images contained in all sub-folders.\'\x5D]
    File type to be loaded:individual images
    File selection method:Text-Regular expressions
    Number of images in each group?:3
    Type the text that the excluded images have in common:Do not use
    Analyze all subfolders within the selected folder?:All
    Input image file location:Default Input Folder\x7CNone
    Check image sets for missing or duplicate files?:No
    Group images by metadata?:Yes
    Exclude certain files?:No
    Specify metadata fields to group by:Plate
    Select subfolders to analyze:05-11-12tnd04xtake2,tn8-3-12d0,tn8-3-12d3,04-27-12j774-3maplate1,04-27-12j774-3maplate2,04-27-12j774-3maplate3,tnscreentest3-5-12-4xa-r,05-31-12rfpwitharstain4x,bmm5-18-123maplate2,bmm5-18-123maplate1,07-10-12drugtiming,11-09-12mlpcn1,08-03-12tnd0,06-16-12gpcrplate4,08-03-12tnd3,11-27-12tnplate1,11-27-12tnplate2,j774-4-3-12plate2,06-0712bmm3ma,07-20-12gpcr,tnscreentest3-5-12,10-05-2012salmtestplate2,j774-4-6-12ifn,05-31-12rfpnoa-r20x,05-29-12bmm3marep2plate2,bmmlenti1-23-12,09-28-2012tnplate2,4-24-12tnd0nowash,09-28-2012tnplate1,07-06-12daplate2,tn10-26-12plate6rep1\\2012-10-30\\36242,10-05-2012salmtest,9-4-12campanaloguesplate3,9-4-12campanaloguesplate2,9-4-12campanaloguesplate1,05-11-12j7dacomp3plate2,05-11-12j7dacomp3plate1,tn7-30-12d3,tn7-30-12d0,j774 12-5-11plate1,j774 12-5-11plate2,6-12-12campexpt1plate2,tnscreentest3-5-12-4xantigroelalexa555,05-31-12rfpnoa-r,08-03-12gpcr,060112dacurve,05-11-12tnd04x,11-21-12tnwashingtestmach-hand,6-12-12campexpt1,4-24-12tnd3-1to1-20x,3-30-12tnmutd34x,4-24-12tnd0-10to1,05-11-12tnd020xtake2,05-11-12tnd34xtake2,06-08-12gpcrscreenset3,06-22-12gpcrplate5,tnscreentest3-5-1210xgfp,05-01-123maj774plate3,05-01-123maj774plate2,05-01-123maj774plate1,05-11-12tnd34x,07-06-12daplate1,10-16-2012salminhib4h,05-29-12bmm3marep2,10-16-2012salminhib2h,tn08-20-12inhrifplate2,tn08-20-12inhrifplate1,05-22-12gpcrscreenplate2,05-21-12tnd3,4-16-12withifn,08-06-2012tnexptplate1,08-06-2012tnexptplate2,j7742-17-12plate1,j7742-17-12plate2,05-01-123maj774platex,05-31-12rfpwitharstain20x,gpcrscreen9-14-12,3-30-12compound1,3-30-12compound2,05-23-12tnd0-20x,05-23-12tnd3-20x,05-11-12j774dacompet3plate1,3-30-12tnmutd04x,05-11-12tnplated3-20x,tnscreentest3-5-12-d3gfp,05-04-12bmm-ifn-plate1,09-28-2012gpcr,bmmlenti1-23-12-10x,06-25-12tnd0,3-30-12tnmutd020x,4-20-12cmpdplate1,4-20-12cmpdplate2,05-23-12tnd0-4x,4-16-12noifn,07-27-12gpcr,05-08-12gpcrplate1,11-21-12tnwashingtestmach-mach,06-0712bmm3maplate2,10-16-12salminhib24h,3-30-12tnplated3-20x,04-24-12j774plate2,04-24-12j774plate1,artesting3-19-12,05-11-12tnd320x,j774-4-6-12noifn,08-17-12gpcr,gpcr11-27-12,07-13-12gpcrscreen6-2,05-04-12bmm-ifn-plate2,tnscreentest3-5-12-d3a-r4x,tnscreentest3-5-12-20xa-r,bmmlenti1-23-12-40x
    Image count:2
    Text that these images have in common (case-sensitive):_w1\x5B^_\x5D
    Position of this image in each group:1
    Extract metadata from where?:Both
    Regular expression that finds metadata in the file name:^(?P<UserStem>.*)_(?P<Well>\x5Ba-p\x5D\x5B0-9\x5D{2})_s(?P<Site>\x5B0-9\x5D)
    Type the regular expression that finds metadata in the subfolder path:.*\x5B\\\\/\x5D(?P<Date>.*)\x5B\\\\/\x5D(?P<Plate>.*)$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:3
    Load the input as images or objects?:Images
    Name this loaded image:OrigBlue
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:LoadedImageOutlines
    Channel number:1
    Rescale intensities?:Yes
    Text that these images have in common (case-sensitive):_w2\x5B^_\x5D
    Position of this image in each group:2
    Extract metadata from where?:Both
    Regular expression that finds metadata in the file name:^(?P<UserStem>.*)_(?P<Well>\x5Ba-p\x5D\x5B0-9\x5D{2})_s(?P<Site>\x5B0-9\x5D)
    Type the regular expression that finds metadata in the subfolder path:.*\x5B\\\\/\x5D(?P<Date>.*)\x5B\\\\/\x5D(?P<Plate>.*)$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:3
    Load the input as images or objects?:Images
    Name this loaded image:OrigGreen
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:LoadedImageOutlines
    Channel number:1
    Rescale intensities?:Yes

MeasureImageQuality:[module_num:2|svn_version:\'11705\'|variable_revision_number:4|show_window:False|notes:\x5B\'Measure the same QC metrics from the QC pipeline for the DAPI channel.\'\x5D]
    Calculate metrics for which images?:Select...
    Image count:1
    Scale count:1
    Threshold count:2
    Select the images to measure:OrigBlue
    Include the image rescaling value?:No
    Calculate blur metrics?:Yes
    Spatial scale for blur measurements:20
    Calculate saturation metrics?:Yes
    Calculate intensity metrics?:Yes
    Calculate thresholds?:Yes
    Use all thresholding methods?:No
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Background

MeasureImageQuality:[module_num:3|svn_version:\'11705\'|variable_revision_number:4|show_window:False|notes:\x5B\'Measure the same QC metrics from the QC pipeline for the GFP channel.\'\x5D]
    Calculate metrics for which images?:Select...
    Image count:1
    Scale count:1
    Threshold count:2
    Select the images to measure:OrigGreen
    Include the image rescaling value?:No
    Calculate blur metrics?:Yes
    Spatial scale for blur measurements:20
    Calculate saturation metrics?:Yes
    Calculate intensity metrics?:Yes
    Calculate thresholds?:Yes
    Use all thresholding methods?:No
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Select a thresholding method:Otsu Global
    Typical fraction of the image covered by objects:0.1
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground

FlagImage:[module_num:4|svn_version:\'10300\'|variable_revision_number:2|show_window:False|notes:\x5B\'These QC settings seem to be usable/consistent for the 09-28-2012tn plates (35825 and 35827).\', "Using the std of the intensity along with the percent maximal metrics seems to catch everything in the DAPI channel. I\'m using only the percent maximal for the GFP, because moderate stds can be associated with either debris or bacteria present, and I definitely don\'t want to accidently mask out the wrong thing."\x5D]
    Hidden:2
    Hidden:2
    Name the flag\'s category:Metadata
    Name the flag:OrigBlue_isSaturated
    Flag if any, or all, measurement(s) fails to meet the criteria?:Flag if any fail
    Skip image set if flagged?:Yes
    Flag is based on:Whole-image measurement
    Select the object whose measurements will be used to flag:None
    Which measurement?:ImageQuality_PercentMaximal_OrigBlue
    Flag images based on low values?:No
    Minimum value:0
    Flag images based on high values?:Yes
    Maximum value:0.00003
    Flag is based on:Whole-image measurement
    Select the object whose measurements will be used to flag:None
    Which measurement?:ImageQuality_StdIntensity_OrigBlue
    Flag images based on low values?:No
    Minimum value:0
    Flag images based on high values?:Yes
    Maximum value:0.02
    Hidden:1
    Name the flag\'s category:Metadata
    Name the flag:OrigGreen_isSaturated
    Flag if any, or all, measurement(s) fails to meet the criteria?:Flag if any fail
    Skip image set if flagged?:No
    Flag is based on:Whole-image measurement
    Select the object whose measurements will be used to flag:None
    Which measurement?:ImageQuality_PercentMaximal_OrigGreen
    Flag images based on low values?:No
    Minimum value:0
    Flag images based on high values?:Yes
    Maximum value:0.00003

CorrectIlluminationCalculate:[module_num:5|svn_version:\'10458\'|variable_revision_number:2|show_window:False|notes:\x5B"Aggregate the illumination correction function across the DAPI images for the plate. These settings shouldn\'t need to be altered."\x5D]
    Select the input image:OrigBlue
    Name the output image:IllumBlue
    Select how the illumination function is calculated:Regular
    Dilate objects in the final averaged image?:No
    Dilation radius:1
    Block size:60
    Rescale the illumination function?:Yes
    Calculate function for each image individually, or based on all images?:All\x3A Across cycles
    Smoothing method:Median Filter
    Method to calculate smoothing filter size:Manually
    Approximate object size:10
    Smoothing filter size:200
    Retain the averaged image for use later in the pipeline (for example, in SaveImages)?:No
    Name the averaged image:IllumBlueAvg
    Retain the dilated image for use later in the pipeline (for example, in SaveImages)?:No
    Name the dilated image:IllumBlueDilated
    Automatically calculate spline parameters?:Yes
    Background mode:auto
    Number of spline points:5
    Background threshold:2
    Image resampling factor:2
    Maximum number of iterations:40
    Residual value for convergence:0.001

CorrectIlluminationCalculate:[module_num:6|svn_version:\'10458\'|variable_revision_number:2|show_window:False|notes:\x5B"Aggregate the illumination correction function across the GFP images for the plate. These settings shouldn\'t need to be altered."\x5D]
    Select the input image:OrigGreen
    Name the output image:IllumGreen
    Select how the illumination function is calculated:Regular
    Dilate objects in the final averaged image?:No
    Dilation radius:1
    Block size:60
    Rescale the illumination function?:Yes
    Calculate function for each image individually, or based on all images?:All\x3A Across cycles
    Smoothing method:Median Filter
    Method to calculate smoothing filter size:Manually
    Approximate object size:10
    Smoothing filter size:200
    Retain the averaged image for use later in the pipeline (for example, in SaveImages)?:No
    Name the averaged image:IllumBlueAvg
    Retain the dilated image for use later in the pipeline (for example, in SaveImages)?:No
    Name the dilated image:IllumBlueDilated
    Automatically calculate spline parameters?:Yes
    Background mode:auto
    Number of spline points:5
    Background threshold:2
    Image resampling factor:2
    Maximum number of iterations:40
    Residual value for convergence:0.001

SaveImages:[module_num:7|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\'Save the final DAPI illumination correction function in the Default Output folder.\'\x5D]
    Select the type of image to save:Image
    Select the image to save:IllumBlue
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:None
    Enter single file name:\\g<Plate>_IllumBlue
    Do you want to add a suffix to the image file name?:No
    Text to append to the image name:
    Select file format to use:mat
    Output file location:Default Output Folder\x7CNone
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Last cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:No
    Create subfolders in the output folder?:No

SaveImages:[module_num:8|svn_version:\'10822\'|variable_revision_number:7|show_window:False|notes:\x5B\'Save the final GFP illumination correction function in the Default Output folder.\'\x5D]
    Select the type of image to save:Image
    Select the image to save:IllumGreen
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:Single name
    Select image name for file prefix:None
    Enter single file name:\\g<Plate>_IllumGreen
    Do you want to add a suffix to the image file name?:No
    Text to append to the image name:
    Select file format to use:mat
    Output file location:Default Output Folder\x7CNone
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Last cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:No
    Create subfolders in the output folder?:No

CreateBatchFiles:[module_num:9|svn_version:\'10375\'|variable_revision_number:4|show_window:False|notes:\x5B\'This module is needed for submission of jobs to the LSF. If running locally, remove this module.\', \'\', \'Since this module doesn\\\'t actually run the analysis, but only sets things up for LSF submission, after clicking "Analyze images", the run will end quickly with a message box saying "No measurements taken"\'\x5D]
    Store batch files in default output folder?:Yes
    Output folder path:\\\\iodine\\imaging_analysis\\2007_08_09_TB_HungLab_Sarah_Stanley\\2012_11_15_ReadoutOptimization\\Output_Illum
    Are the cluster computers running Windows?:No
    Hidden\x3A in batch mode:No
    Hidden\x3A default input folder at time of save:\\\\iodine\\cbnt_cbimageX\\HCS\\barczakamy\\09-28-2012tnplate2\\2012-10-02\\35827
    Hidden\x3A SVN revision number:0
    Local root path:\\\\iodine\\cbnt_cbimageX
    Cluster root path:/cbnt/cbimageX
    Local root path:\\\\lightning\\idi_hunglabusers
    Cluster root path:/idi/hunglabusers
    Local root path:\\\\iodine\\imaging_analysis
    Cluster root path:/imaging/analysis
